CREATE TABLE bm_te_template_deployed (
    ID                       NUMBER(18, 0) ,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    TYPE                     NUMBER(3, 0)      NOT NULL,
    NAME                     VARCHAR2(1020)    NOT NULL,
    VARNAME                  VARCHAR2(2052)    NOT NULL,
    LANGUAGE_SUPPORT_TYPE    NUMBER(3, 0)  ,
    CODE                     NUMBER(3, 0)  ,
    BASE_CODE                NUMBER(3, 0)  ,
    DEPLOYED_CONTENT         CLOB              NOT NULL,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    PROPERTIES               CLOB          ,
    REFERENCED_ATTRS         CLOB          ,
    ID                       NUMBER(18, 0) ,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    TYPE                     NUMBER(3, 0)      NOT NULL,
    NAME                     VARCHAR2(1020)    NOT NULL,
    VARNAME                  VARCHAR2(2052)    NOT NULL,
    LANGUAGE_SUPPORT_TYPE    NUMBER(3, 0)  ,
    CODE                     NUMBER(3, 0)  ,
    BASE_CODE                NUMBER(3, 0)  ,
    DEPLOYED_CONTENT         CLOB              NOT NULL,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    PROPERTIES               CLOB          ,
    REFERENCED_ATTRS         CLOB          ,
    CONSTRAINT pk_bm_te_template_deployed PRIMARY KEY (ID, ID)
);
